# Note that this is NOT a relocatable package
# DON'T FORGET TO UPDATE THE MOZILLA DEPENDENCY
%define ver      0.11.2
%define rel      1
%define prefix   /usr
%define sysconfdir	/etc

Summary:   Galeon
Name:      galeon
Version:   %ver
Release:   %rel
Copyright: GPL
Group:     Applications/Internet
Source:    galeon-%{PACKAGE_VERSION}.tar.gz
URL:       http://galeon.sourceforge.net
BuildRoot: /tmp/galeon-%{PACKAGE_VERSION}-root
Packager:  Marco Pesenti Gritti <mpeseng@tin.it>
Autoreq: 0
BuildRequires: gettext >= 0.10.38
Requires: gnome-libs >= 1.2.0
Requires: ORBit >= 0.4.0
Requires: libglade >= 0.13
Requires: libxml >= 1.8.11
Requires: gnome-vfs >= 0.6.0
Requires: GConf >= 0.12
Requires: oaf >= 0.6.2
Requires: gdk-pixbuf >= 0.10.0
Requires: mozilla = 0.9.2

%description
Gnome browser based on Gecko (Mozilla rendering engine)
%prep
%setup

%build
if [ "$MOZILLA_LIBS" != "" ]; then
	MOZILLA_FLAGS="$MOZILLA_FLAGS --with-mozilla-libs=$MOZILLA_LIBS"
fi
if [ "$MOZILLA_INCLUDES" != "" ]; then
	MOZILLA_FLAGS="$MOZILLA_FLAGS --with-mozilla-includes=$MOZILLA_INCLUDES"
fi
if [ "$MOZILLA_CVS" != "" ]; then
	MOZILLA_FLAGS="$MOZILLA_FLAGS --enable-mozilla-cvs"
fi

if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix} \
		--with-gnome --without-debug --sysconfdir=%{sysconfdir} \
		$MOZILLA_FLAGS
else
	CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
		--with-gnome --without-debug --sysconfdir=%{sysconfdir} \
		$MOZILLA_FLAGS
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README INSTALL TODO THANKS FAQ
%{prefix}/bin/*
%{prefix}/share/*
%{sysconfdir}/*
